org.appng.api.support.environment

## Class EnvironmentKeys

- java.lang.Object
- - org.appng.api.support.environment.EnvironmentKeys

-     public class EnvironmentKeys
      extends Object

  Utility class providing constants for commonly used `Environment` attributes.
  Author:
    Matthias Müller
  See Also:
    `Environment`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASE_URL` The first segement of the servlet path (scope: `Scope.REQUEST`)
    `static String` | `DEFAULT_PATH` The default path which points to the login page (scope: `Scope.REQUEST`)
    `static String` | `EXECUTE_PATH` The actual execute path (scope: `Scope.REQUEST`)
    `static String` | `EXPLICIT_FORMAT` Whether or not the output format (and optionally the type) has been explicitly set in the URL
    `static String` | `JAR_INFO_MAP` FIXME wrong place for this!
    `static String` | `JSP_URL_PARAMETERS`
    `static String` | `PATH_INFO` The `PathInfo` for the current `Request` (scope: `Scope.REQUEST`)
    `static String` | `PREVIOUS_PATH` The servlet path of the previous `HttpServletRequest` (scope: `Scope.SESSION`)
    `static String` | `QUERY_STRING` The query String as returned by `HttpServletRequest.getQueryString()` (scope: `Scope.REQUEST`)
    `static String` | `RENDER` A `Boolean` defining if the template should render some HTML (scope: `Scope.REQUEST`)
    `static String` | `SERVLETPATH` The original servlet path as returned by `HttpServletRequest.getServletPath()` (scope: `Scope.REQUEST`)
    `static String` | `SESSION_PARAMS` FIXME wrong place for this!

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_URL

          public static final String BASE_URL

      The first segement of the servlet path (scope: `Scope.REQUEST`)
      See Also:
        Constant Field Values

    - #### SERVLETPATH

          public static final String SERVLETPATH

      The original servlet path as returned by `HttpServletRequest.getServletPath()` (scope: `Scope.REQUEST`)
      See Also:
        Constant Field Values

    - #### SESSION_PARAMS

          public static final String SESSION_PARAMS

      FIXME wrong place for this!
      See Also:
        Constant Field Values

    - #### EXECUTE_PATH

          public static final String EXECUTE_PATH

      The actual execute path (scope: `Scope.REQUEST`)
      See Also:
        Constant Field Values

    - #### DEFAULT_PATH

          public static final String DEFAULT_PATH

      The default path which points to the login page (scope: `Scope.REQUEST`)
      See Also:
        Constant Field Values

    - #### JAR_INFO_MAP

          public static final String JAR_INFO_MAP

      FIXME wrong place for this!
      See Also:
        Constant Field Values

    - #### EXPLICIT_FORMAT

          public static final String EXPLICIT_FORMAT

      Whether or not the output format (and optionally the type) has been explicitly set in the URL
      See Also:
        Constant Field Values

    - #### PATH_INFO

          public static final String PATH_INFO

      The `PathInfo` for the current `Request` (scope: `Scope.REQUEST`)
      See Also:
        Constant Field Values

    - #### JSP_URL_PARAMETERS

          public static final String JSP_URL_PARAMETERS

      See Also:
        Constant Field Values

    - #### PREVIOUS_PATH

          public static final String PREVIOUS_PATH

      The servlet path of the previous `HttpServletRequest` (scope: `Scope.SESSION`)
      See Also:
        Constant Field Values

    - #### QUERY_STRING

          public static final String QUERY_STRING

      The query String as returned by `HttpServletRequest.getQueryString()` (scope: `Scope.REQUEST`)
      See Also:
        Constant Field Values

    - #### RENDER

          public static final String RENDER

      A `Boolean` defining if the template should render some HTML (scope: `Scope.REQUEST`)
      See Also:
        Constant Field Values

Copyright © 2011–2023 aiticon GmbH. All rights reserved.